/* BezierView */

#import <Cocoa/Cocoa.h>

enum
{
	modeNone = 0,
	modeCreate,
	modeDragControl,
	modeDragPoint
};

struct	LineStyleDef
{
	const float * pattern;
	int			  count;
};

@interface BezierView : NSView
{
	NSPoint	p [2];					// endpoints
	NSPoint	c [2];					// control points
	NSColor * color;
	float	  lineWidth;
	int		  index;
	int		  mode;
	int		  lineStyle;
	
	IBOutlet NSSlider      * slider;
	IBOutlet NSColorWell   * colorWell;
	IBOutlet NSPopUpButton * styleButton;
}
- (IBAction) setColor:     (id) sender;
- (IBAction) setLineSize:  (id) sender;
- (IBAction) setLineStyle: (id) sender;

- (int)     indexOfPoint: (NSPoint) pt inArray: (NSPoint *) arr;
- (void)    drawPoint: (NSPoint) pt radius: (float) r;

@end
